Package org.pushingpixels.trident

# Interface UIToolkitHandler

All Known Implementing Classes:
  `SwingToolkitHandler`, `SWTToolkitHandler`

public interface UIToolkitHandler

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isHandlerFor(Object mainTimelineObject)`
`boolean`
`isInReadyState(Object mainTimelineObject)`
`void`
`runOnUIThread(Object mainTimelineObject, Runnable runnable)`

## Method Details

### isHandlerFor

boolean isHandlerFor(Object mainTimelineObject)

### isInReadyState

boolean isInReadyState(Object mainTimelineObject)

### runOnUIThread

void runOnUIThread(Object mainTimelineObject, Runnable runnable)